upstream nossoamigosecreto {
  server app:3000;
}


server {

  listen 80;

  client_max_body_size 4G;
  keepalive_timeout 10;

  error_page 500 502 504 /500.html;
  error_page 503 @503;

  server_name localhost nossoamigosecreto;
  root /my_friend_secret/public;
  try_files $uri/index.html $uri @nossoamigosecreto;

  location @nossoamigosecreto {
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $http_host;
    proxy_redirect off;

    proxy_pass http://nossoamigosecreto;
    # limit_req zone=one;
    access_log /my_friend_secret/log/nginx.access.log;
    error_log  /my_friend_secret/log/nginx.error.log;
  }

  location ^~ /assets/ {
    gzip_static on;
    expires max;
    add_header Cache-Control public;
  }

  location = /50x.html {
    root html;
  }

  location = /404.html {
    root html;
  }

  if ($request_method !~ ^(GET|HEAD|PUT|PATCH|POST|DELETE|OPTIONS)$ ){
    return 405;
  }
}